eoStatBase(3)

NAME
eoStatBase - Base class for all statistics that need to be calculated over the (unsorted) population (I guess it is not really necessary? MS.

SYNOPSIS

#include <eoStat.h>

Inherits eoUF< const eoPop< EOT > &, void >.

Inherited by eoStat< EOT, T >, eoStat< EOT, double >, eoStat< EOT, EOT::Fitness >, eoStat< EOT, std::pair< double, double > >, and eoStat< EOT, std::string >.

  Public Member Functions
virtual void lastCall (const eoPop< EOT > &)
virtual std::string className (void) const

Detailed Description

  template<class EOT> class eoStatBase< EOT >
Base class for all statistics that need to be calculated over the (unsorted) population (I guess it is not really necessary? MS. Depstd::ends, there might be reasons to have a stat that is not an eoValueParam, but maybe I'm just kidding myself, MK)

Definition at line 45 of file eoStat.h.

Author

Generated automatically by Doxygen for EO from the source code.